<?php
/**
 * @package   DPBexio
 * @copyright Copyright (C) 2022 Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

namespace DigitalPeak\Library\DPBexio\Bexio;

use Joomla\Registry\Registry;

interface APIInterface
{
	/**
	 * Calls the Bexio API for the given path and the params. The returned array contains the
	 * data.
	 *
	 * @params string $path
	 * @params array  $params
	 * @params string $method
	 *
	 * @return array|\stdclass
	 */
	public function callBexioAPI(string $path, array $params, Registry $config, string $method = 'get');
}
