<?php
/**
 * @package   DPBexio
 * @copyright Copyright (C) 2022 Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

defined('_JEXEC') or die();

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
?>
<div class="plg-content-dpbexio">
	<h2><?php echo Text::_('PLG_CONTENT_DPBEXIO_TEXT_HEADER_INVOICES_TITLE'); ?></h2>
	<ul class="plg-content-dpbexio__invoices">
		<?php foreach ($invoices as $invoice) { ?>
			<li class="dp-invoice">
				<div>
					<?php echo '[' . $invoice->document_nr . ']'; ?>
					<?php echo '[' . number_format((float)$invoice->total, 2, '.', '') . ' ' . $currencies[$invoice->currency_id] . ']'; ?>
					<?php echo $invoice->title; ?>
				</div>
				<div>
					<?php echo HTMLHelper::_('date', $invoice->is_valid_from, Text::_('DATE_FORMAT_LC3')); ?>
					-
					<?php echo HTMLHelper::_('date', $invoice->is_valid_to, Text::_('DATE_FORMAT_LC3')); ?>
				</div>
				<?php if ($invoice->network_link) { ?>
					<a href="<?php echo $invoice->network_link; ?>"><?php echo $invoice->network_link; ?></a>
				<?php } ?>
			</li>
		<?php } ?>
	</ul>
</div>
